From 358c5339bcedb5f299f19418dde9ac26e8834849 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Jun 26 2024 00:37:30 +0000
Subject: [PATCH 197/220] Remove ver macro. Only used once per spec


Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index fae20a1..fc5ced0 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -5,7 +5,7 @@ ExcludeArch: %{ix86}
 # prevent library files from being installed
 %global cargo_install_lib 0
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
@@ -13,7 +13,7 @@ ExcludeArch: %{ix86}
 %global crate cosmic-app-library
 
 Name:           cosmic-app-library
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        App Library program for the COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-desktop/cosmic-desktop.spec b/rpms/cosmic-desktop/cosmic-desktop.spec
index 70e4443..cc49134 100644
--- a/rpms/cosmic-desktop/cosmic-desktop.spec
+++ b/rpms/cosmic-desktop/cosmic-desktop.spec
@@ -1,10 +1,10 @@
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-desktop
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        The next generation COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 6643f3f..e47e5a0 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate cosmic-edit
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-edit
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        Libcosmic text editor
 
diff --git a/rpms/cosmic-epoch/cosmic-epoch.spec b/rpms/cosmic-epoch/cosmic-epoch.spec
index 37207e4..4a585e6 100644
--- a/rpms/cosmic-epoch/cosmic-epoch.spec
+++ b/rpms/cosmic-epoch/cosmic-epoch.spec
@@ -1,10 +1,10 @@
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-epoch
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        The next generation COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 73102c7..599f562 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate cosmic-files
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-files
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        Libcosmic file manager
 
diff --git a/rpms/cosmic-icon-theme/cosmic-icon-theme.spec b/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
index c2563bb..be45aa3 100644
--- a/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
+++ b/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
@@ -1,10 +1,10 @@
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-icon-theme
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        Icon theme for the COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 3e7fc09..0956630 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate cosmic-launcher
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-launcher
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        Pop launcher frontend for the COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 72aa906..393bd4b 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate cosmic-osd
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-osd
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        OSDs for the COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 170f68a..216b7f4 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate cosmic-screenshot
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-screenshot
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        Screenshot utility for the COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index bb919cc..c0e8b10 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate cosmic-session
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-session
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        Session manager for the COSMIC desktop environment
 
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 53f43f6..f1dff95 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate cosmic-settings-daemon
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-settings-daemon
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        Settings daemon for the COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 584a1f4..5520199 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate cosmic-term
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-term
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        Terminal emulator built with alacritty and Libcosmic
 
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 7027a44..d881c5b 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate cosmic-workspaces
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           cosmic-workspaces
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        Workspaces overview for the COSMIC Desktop Environment
 
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index ee89215..9bc4b28 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -7,13 +7,13 @@ ExcludeArch: %{ix86}
 
 %global crate xdg-desktop-portal-cosmic
 
-%global ver ###
+
 %global commit ###
 %global commitdatestring ###
 %global commitdate ###
 
 Name:           xdg-desktop-portal-cosmic
-Version:        %{ver}~git%{commitdate}.%{sub %{commit} 1 7}
+Version: ###
 Release:        %autorelease
 Summary:        XDG Desktop Portals for the COSMIC Desktop Environment
 
diff --git a/scripts/no-sources-srpm.sh b/scripts/no-sources-srpm.sh
index bb90ae3..af37aea 100644
--- a/scripts/no-sources-srpm.sh
+++ b/scripts/no-sources-srpm.sh
@@ -15,7 +15,7 @@ repo=$5
 cp $path_to_spec $name.spec 2>/dev/null || :
 
 # Make replacements to specfile
-sed -i "/^%global ver / s/.*/%global ver $version/" $name.spec
+sed -i "/^Version: ### / s/.*/Version:           $version~^%{commitdate}git%{sub %{commit} 1 7}/" $name.spec
 sed -i "/^%global commit / s/.*/%global commit none/" $name.spec
 current_date=$(date +'%Y%m%d.%H')
 sed -i "/^%global commitdate / s/.*/%global commitdate $current_date/" $name.spec
diff --git a/scripts/srpm.sh b/scripts/srpm.sh
index 74bd92c..b971b96 100644
--- a/scripts/srpm.sh
+++ b/scripts/srpm.sh
@@ -47,7 +47,7 @@ tar -pczf $SOURCE_NAME-$COMMIT.tar.gz $SOURCE_NAME-$COMMIT
 rm -rf $SOURCE_NAME-$COMMIT
 
 # Make replacements to specfile
-sed -i "/^%global ver / s/.*/%global ver $VERSION/" $NAME.spec
+sed -i "/^Version: ### / s/.*/Version:           $VERSION~^%{commitdate}git%{sub %{commit} 1 7}/" $NAME.spec
 sed -i "/^%global commit / s/.*/%global commit $COMMIT/" $NAME.spec
 
 sed -i "/^%global commitdate / s/.*/%global commitdate $COMMITDATE/" $NAME.spec

